import java.io.File;
import java.io.IOException;

/**
 * Helper for determining if running inside Anthill or not. Also used to
 * get the runnning dir from environment.
 * @author KoR
 */
public class AnthillHelper {

   private static final String PROJECT_DIR = "project.base.dir";
   private static final String PROJECT_TYPE = "project.type";
   private static final String PROJECT_NAME = "project.name";

   public static boolean isAnthillRun() {
      return System.getProperty(PROJECT_TYPE) != null;
   }

   public static String getProjectName() {
      return System.getProperty(PROJECT_NAME);
   }

   public static boolean isSpecifiedProject(String pProjectName) {
      return !isAnthillRun() || pProjectName.equals(getProjectName());
   }

   public static String getBasePath() throws IOException {
      String p = isAnthillRun() ? System.getProperty(PROJECT_DIR) : ".";
      return new File(p).getCanonicalPath();
   }

   public static String getTestDataPath() throws IOException {
      return getBasePath() + File.separator + "test";
   }

   // get other relative paths... e.g. getConfigDataPath

}
