package at.herold.waf.hbd.httpunit;

import java.io.IOException;

import org.xml.sax.SAXException;

import junit.framework.TestCase;

import com.meterware.httpunit.WebConversation;
import com.meterware.httpunit.GetMethodWebRequest;
import com.meterware.httpunit.WebRequest;

/**
 * Testcase for a httpunit test with response in HTML.
 * @author KoR
 */
public abstract class TCForHTMLContent extends TestCase {

   protected final String TOMCAT_URL;

   public TCForHTMLContent(String pName) {
      super(pName);
      // get default settings from properties
      TOMCAT_URL = System.getProperty("tomcat.url");
   }

   @Override
   protected void setUp() throws Exception {
      super.setUp();
      // create the conversation object which will maintain state for us
      wc = new WebConversation();
   }

   protected String loadTextPageFor(String pUrl) throws IOException, SAXException {
      final WebRequest request = new GetMethodWebRequest(pUrl);
      return wc.getResponse(request).getText();
   }

   protected void assertResponseOk(String pResponseText, String pMsg) {
      boolean hasError = pResponseText.toUpperCase().indexOf("EXCEPTION") != -1;
      assertFalse("error in page " + pMsg, hasError);
   }

   // more protected void assert... methods
}
